
Ansible cat
===========

This repo contains the ansible role needed to deploy the [cat](https://git.zeus.gent/zeuswpi/cat) project

Downloading
-----------
Add the src of this repo to your requirements.yml file.

- src: git+https://git.zeus.gent/zeuswpi/ansible__cat

Then use following command to install the role

	ansible-galaxy install -r requirements.yml

Usage
-----

Example of how to use the role in a playbook

    - hosts: servers
      roles:
         - role: ansible_cat
            vars:
                mariadb_root_password: *****
                cat_db_password: *****

There are 2 required parameters, the mariadb root password and the cat database password.


The server will run on port 3000 by default.

Other customizable parameters are listed in the defaults folder of the role.